Revisions
 Top Next
Version | Date | Major Changes
0.0 | 28/1/2006 | Initial Version
0.1 | 09/2/2006 | Addition of Entrant/Author facility to enable Club Competitions.
0.2 | 16/2/2006 | Tidy up and improvement to display and print facilities.
1.0 | 22/2/2006 | Tidy up code. Add Competition lists and print score sheet facilities.
1.1 | 8/3/2006 | Add various screens to support Competition set up and print Score Sheets etc. Simplify basic structure without compromising flexibility and power.
1.2 | 10/11/2006 | Change interpolation to bi-cubic using FreeImage. Add Process Guide. Summarization by Competition Type and Year also added .A large number of other less significant improvements.
1.3 | 24/11/2006 | Addition of Entrant Class concept built into the entrant file. Addition of reduce and/or enlarge options.
1.4 | 25/1/2007 | Simplification of the standing files. The program still allows more than one control files/directories (e.g. external and internal), but you can now only have one of each standing file for each control file/directory. This reduces the risk of file errors due to manual changes to those files.
2.0 | 28/2/07 | Simplification of User Interface. Complex SetUp Form replaced by simpler Process Guide approach.
2.2 | 5/11/07 | Multiple bug fixes and the facility to score in half points.
2.3 | 25/11/07 | The addition of an easy Export/Import facility to allow you to back-up and restore competitions, and to transfer them from an administrator's PC onto their club PC for preview and judging under the control of CCComp.
2.5 | 16/2/08 | Addition of Club Library facility allowing the transfer of competition images to a library and the selection of images for other (external) competitions.
2.6 | 8/3/08 | Improved manual show sort features introduced including thumbnail drag and drop.
3.1 | 30/3/08 | Improved reporting facilities including the incorporation of HTML and EXCEL processing/reporting.
3.2 | 20/1/09 | External competition selection process changed to generate competitions which are then exported to set up the required formats.
4.0 | 20/1/09 | Parallel VB.NET version created. I hope to maintain both versions. Note that both versions use the same file formats and are compatible so you can switch between versions with the same control file.
3.4.3 | 27/4/09 | Add Rebuild UsedforFile button - and a dozen bugs fixed.


Purpose of Software
 Previous Top Next
This program has been written to enable camera clubs to stage digital photo competitions.

It allows previews, judging, results totalling and the printing of score sheets and certificates - for individual images and for Entrants combined scores.

From version 2.5, CCComp has a club library facility.


Principles of Operation
The administrator maintains a series of control (standing) files relating to the club, Competition type and valid entry Classes, Awards and Entrants. The Administrator may maintain several copies of each of these standing files and switch between them if they wish. This is a level of complexity (and flexibility) that clubs may not want to use!

All entries for a competition are placed in a single, separate folder on the administrators PC. The file names of the entries are of a fixed format containing Entrant, Entry Class, Author and Entry Title for each image. Entrants should use this format for submitting their entries in order that the work of adding Entrant and Class data is not all done by the Administrator. Note that an Entry program is available that will build the entry filenames for the Entrant. This file name format is used so that entrant, class and author information is retained even if the file is moved.
Also, there are check routines to help the Administrator easily check and correct the file names. Previewing and Judging will not run unless all the files names are correct.
Once corrected, the entries can be previewed in one pass or an entry class at a time. They can then be judged in one pass or by entry class. During this process they can be scored.
Individual images can be allocated awards during the process.
At any point you can display the summary scores for each Entrant and individual entry scores and details.

CCComp maintains a main control file in My Documents (or a folder nominated by the Administrator) which, amongst other things, points to the standing files. CCComp also maintains a separate Competition files for each competition that is set up.

During the image submission, preview and judging process, CCComp also maintains a "Scores" file that is stored in the Competition folder. When the active competition is changed, CCComp renames the current Scores file and writes out a new one. If the competition is in the "Locked" or "Complete" status, the latest saved scores are loaded when the competition is selected. Hence, CCComp remembers scores and awards between runs. At any time, a previous scores file can be recovered by renaming the scores files - however, this is dangerous and extreme care must be taken.
Whenever CCComp is closed, the program again renames the last Scores file and writes a new one.
When a competition is "Completed", CCComp not only ensures the Scores file has been written, but also generates and saves a Results file. This Results file contains totals by Entrant and Class using the rules specified in the standing Class file.

The Score and Results files are in .csv format for importing into Excel or other spreadsheet programs.

After judging, you can review winning and top scoring entries and print certificates - for each entry and even total scores for each entrant. These certificates include a low resolution image of the entry on the certificate and a club Logo from the Club standing file. These certificates can easily be printed well after the competition is over - as clubs will not normally have a printer available at the competition venue.

Later versions (v2.6.5 an after) have a facility added to enable them to use Excel to format and print the reports. Where Excel is not available, screen print facilities are available.

CCComp has a Club Library facility. It allows you to
a) add the entries to a competition into a library. The images can be added based on a minimum qualification score. E.g. all images that scored 18 or more in that competition.
b) run a library management/selection process to change the images classification and select or deselect of images for submission to another competition - internal or external. The selected images can then be easily exported to a folder of your choice from which they can be re-formatted and packaged up. Valid classifications are Unclassified and 0 to 5 Star. During the management process, the sequence of the display can be controlled. Also images can be displayed as 1, 4 or 9 per screen.
The library is held in a similar format as the competition so can be treated like a competition. However, the Entry class field is used for classification and the Author field is used for the Selected/De-Selected flag. The Library management process is accessed by selecting the "existing competition" Club Library.
Note that all images are added initially as Not Selected and Unclassified.


Colour Space or Gamut
CCComp operates entirely in the sRGB colour space. All images should be submitted as sRGB. If they are submitted in any other colour space, the colours displayed will suffer. For example, Adobe 1998 images will look washed out.


Pre-Requisites
CCComp has been written in VB6 and should run on most PCs running Windows 98 or higher. It has been developed using XP Home with SP2.

(As an experiment, it was converted to VB 2005 but, as the .NET framework was needed to run the program, and many older PCs do not have the .Net framework, this development was,at least temporarily, shelved).


Standing Files
The standing files are used by CCComp to control data such as club names and logos, competition types and entry classes - with their scoring rules and entrant names. Edit facilities are provided via the Configuration screen for all these files. You are strongly recommended to use the built in edit facilities. DO NOT use excel to edit them as it will add additional fields that will corrupt the CCComp processes.
(However, note that they are .txt files so they can be manipulated outside of CCComp using Notepad, Wordpad or similar. Deleting data from the standing files (apart from the first identifying record) can be done with impunity. Clearly, care must always be taken with any manual manipulation to avoid corrupting the format of the data. CCComp assumes that, if the first record identifies it as a CCComp file, the rest of the file format will be OK, so any corruption within the files may cause the program to fail. If this occurs, the file can always be deleted (within or outside CCComp) and then recreated within CCComp).


Scores Files
The "Scores" and "Results" files are .csv files created by CCComp to facilitate reporting through Excel and enable CCComp to "remember" scores and awards between runs of the program.


Set Up Directories
It is recommended that a "Master" Control directory be set up prior to using CCComp:- to hold the main control file and the standing files. Note that it is OK to have more than one of each of the standing files. For example, it may be appropriate to have different Club files for internal and external competitions. These may all be held in a common directory or they may have there own directories. The name of the directory/ies is up to you. Something like CCComp, Photography, CCComp Master Directory or XRR Photographic Society are suitable examples. This directory also holds all the Competition files. There is one Competition file for each competition you set up. They have a standard filename starting "CCComp Comp" and including the competition name, year and number.

A directory for each competition will be set up as each competition is "added" to the system. This directory is pointed to by the relevant Competition file (in the Control Directory). it is used to hold all the entries plus the Scores and Results files for that one competition. The Scores files hold details of each of the entries and the scores and awards allocated to them. The Results files hold the totals for each Entrant.


Define Competition Types and Entry Classes
Prior to using CCComp it is also advisable to review the competitions you expect to hold in order to identify their "Competition Type" (e.g. Monthly, or Rosebowl etc) together with their valid classes of entries, maximum scores and score totalling rules. This information needs to be entered into the Class file when you start using CCComp. Remember that each class can be judged separately or all classes can be judged together.

At this time, you should determine the Awards you want to add to the Award file (via the Configuration Screen"). E.g. "Best in Show", "Best Beginner", Best Set" etc.


Run Setup.exe


Process
· Firstly, the administrator should add a new competition.
· All entrants submit their images by e-mail (or CD or other suitable media) to the administrator. These images can be selected and named using CCEntry.
· The file names of the images should be of the format:-
· Author Name, " - ",Class, " - ", Author, " - ", Title
· The inclusion of " - ", Author is optional. It is built in to allow inter-club competition with the facility to record the Author name as well as the club name in such a way that the Author name is not displayed during the competition whilst the club name is used for accumulating scores.
· e.g. XXR PS - Set - Ian Hooker - Deckchairs.jpg
· or Ian Hooker - Set - Deckchairs.jpg
· The images may be .bmp or .jpg. it was felt that restricting the number of valid formats simplifies both programming and communications with entrants.
· It is recommended that the resolutions used as set to avoid resizing for projecting the image and to keep the files small. Normally this would be 1024 wide or 768 high. When displaying, CCComp can be set to a square display format (like 768x768) in order that portrait images do not look less impressive than landscape ones. It can also be set to display the largest image it can for each image automatically within the available display resolution. Recommended image size depends on the screen resolution and the display image size set. (Resizing using CCComp works but best avoided as FreeImage bicubic interpolation, though good, is not as good as Photoshop and can cause some delay displaying images - especially if the original file has more than 3 Megapixels (3-4 seconds)).
· The administrator puts all the images for a competition into a separate directory on the PC.
· The administrator should then run the "check entries" process from the set up screen. This process checks both the file names and the number of entries from each entrant. Errors in filenames can be corrected at this point.
· Next, the administrator should "Set Show Order" (and check the result). The should then "Lock" the competition. This is done so that any score sheets printed before the competition will have the images in the correct order for that competition to simplify "backup" manual scoring. Once locked entries may not be added , changed nor deleted. At any time, the competition can be "released" and then "locked" again to print revised score sheets.
· Next, the backup manual score sheets may be printed. These need only be printed whilst you gain experience of and confidence in the built in scoring processes - or for visiting club representatives.
· The administrator can then start a preview or judging show for Set or open images. It is recommended that previews, judging and reviewing results are run through prior to the show to identify any problems.
· At the beginning of the show, the administrator should set up the show parameters (e.g. display size) and project a Test image to calibrate the projector.
· During the show, the images can be scored and unscored and have awards added. They can also be held over. Sessions can be set up to display All images, Unscored images or Held Over images. The Title of each image appears for a pre-determined time and then disappears to remove the distraction. It can be retrieved (or hidden) by hitting the "T" key. Pressing the escape key gives access to the set-up screen.
· At the end of the show, the administrator can review winning images, display individual entry scores or entrants results and print Certificates.
· The show should then be set to "Compete" to prevent further changes to the scores and awards.
· Certificates can also be printed through CCComp at the end of or even after the competition.
· The images can also be transferred to the club library if appropriate - either all images or those with over a specified score.

At any time, you can Export the competition from the Control folder to any where else - including Importing into another control folder on another PC. This way, competitions can be transferred from one PC to another. Note that it will be necessary to update the Standing Files as necessary in the receiving control folder. Entrants not in the Entrant file will be prompted as the competition is imported but the Class file must be updated manually if the correct Competition Type does not already exist.

Proposed Library Process:-
· After each Internal Competition you should transfer ALL the entries to the Club Library.
· Subsequently, go into Club Library Management and select unclassified and Not Selected.
· Right click each image and change the classification to 0 to 5 stars. 5 stars for the best images and 0 stars for any images which you do not want to review during selection for other competitions.
· At this point you can delete entries that are not up to scratch or are duplicates.
· When you want to select images for another competition, go to Library Management and select All Starred. By default, CCComp will display selected images first and, within that starred images starting with 5 stars and going down to unclassified. After that Not Selected images will be displayed in Star decreasing order.
· Select 1, 4 or 9 images are appropriate and reduce the number of images per screen to get a better view for the images when necessary. Not that the Library Management process does NOT use Bicubic interpolation so, though adequate for selection, any necessary resizing will not be up to competition standard.
· The selection process can be spread over several sessions as the flags are stored in the file names of the images.
· Whenever the Close button of the Library Management window is clicked, CCComp offers you the option to export all selected images to a folder of your choice.
Note that, at the moment, CCComp does not support deletion of library image. Instead the unneeded images should simply be classified as No Star. Alternatively, the image files can be deleted from the library image folder. However, do NOT add images manually to the folder unless you are certain the name format is correct.


Usage Notes
· There is an option to use an Entrants file. The entrants names can be added manually or automatically as images are entered into the competition. The automatic entry relieves the administrator of the chore of entering everyone's names. That tasks falls to the entrants when they set up their entries for submission. Clearly, it is advisable to be consistent in entrant naming. (Entrants names are case sensitive whilst class names are not)
· Images are processed in the standard Windows/VB6 colour space (sRGB).
· All standing and scores files used are "flat" txt or csv files, These can be reported on through Excel and modified through Notepad or Wordpad - within the constraints of CCComp's needs. Do NOT edit them rhough Excel as it will corrupt the file format by adding extra fields.
· A program called CCEntry has been written to help entrants collate and rename their submissions.


Show Order/Randomization
CCComp can sort the entries for a competition into a Show order. That order is defined by the Show Order parameter. This sorting may include some level of Randomization. Each different Sort algorithm is described in more detail in the Set Show Sort Order Screen section below. Note that an exception is "Manual Sorting".

Once the competition is flagged Complete,the order is not changed. Indeed, once it is locked the order cannot be changed unless Manual Sorting has been selected.

Whilst the competition is Open, the order is re-sorted when the following occurs.
1. The Show Order Algorithm is re-selected.
2. The Sort Show button in the Set Show Order Screen is hit.

Normally, CCComp can be left to organize the show order. However, there may be occasional situations where that order is not suitable. For example, in XRR we held a competition with a set subject of "Aspects of Water". On review of the entries, it became apparent that five of the entries were similar in that they were abstract pictures of reflections on ripples. It was felt that we needed to attempt to separate those similar images so we randomized about four times before the order was considered suitable to lock the competition. Admittedly, such circumstances are rare.

See Set Show Order screen below for a description of each of the available sort algorithms.


CCComp Control File
The Control file contains pointers to the Club, Class, Awards and Entrants files. It also holds a count of the number of times CCComp has be run.

The "Edit Standing Files Screen" provides access to edit routines for all four standing files. The Class, Awards and Entrant files use a standard edit process which allows easy changes, additions and deletions. It is recommended the administrator gains familiarity with these processes.


Club File
This file is used to define parameters relating to the club. This comprises:-
· Name of the club.
· Name or title to appear under the signature line of printed certificates - e.g. Fred. Bloggs, Club Secretary or Judge's Name etc.
· File name of an image file for the club logo.
· File name of a Test Image that you set up and use for projector calibration.


Class File
This file is used to define each Competition Type and the valid Entry Classes for those competition. Also, the minimum, maximum and scoring number of entries per author can be entered.
It consists of 5 fields in each record.

Competition Type. This defines the type of competition in order that entry classes and numbers of entries can be set. E.g. Monthly, Quartely etc.

Entry Class. This allows the selection of the type of entry in order to judge the competition in several sets. An example of these classes are Set and Open. For each valid entry class in a competition type there must be a record with the Competition Type and Entry Class. An entry class used in, say, three competition types would have three "Class" records in this standing file - one under each competition type..

Min, Max and Scoring Entry Counts. These entries are used to validate the number of entries in each class to ensure entrants submit enough, but not too many entries and to enable score totalling to include, say, the highest scoring 3 of 5 entries. Note that, often, the scoring algorithms are too complex (or just various) to be allowed for here and manual scoring addition will have to be performed from the Score file.
Please note that the maximum valid score is selected at the time of showing - NOT as an attribute of a competition type. This means you must check the maximum score each time you run a competition. (This may be included as a competition type attribute in a future release).
Since V3.2.1, the Max and Scoring counts do NOT affect scoring. The Scoring count does nothing!!
Since V3.4.2, the Max and Min counts are used by Check Entries to warn if any Entrant has submitted too many (or too few) entries - but does NOT stop the competition nor exclude the extra entries from the totals. The "Scoring" count is used to determine how many of the entries for each entrant/class should be included in the score. for example, a Max of 5 with a Scoring of 3 means that only the top 3 entries will be scored. The omission of the lower scoring entries can be turned on and off in the Selected Competition screen by clicking on the word "Scoring".

Note that the Club Library class records never appear in the Class file. Instead, CCComp automatically loads up the information as it runs.


Awards File
This file simply lists the awards that can be given to entries. E.g. Best Set Image, Best Beginners Entry etc. These awards can be allocated to any entry and are NOT dependent of Competition Type.

Currently, the system only allows one Award per Entry (though the same award can be given to more than one Entry). A future release may address this issue if there are enough requests for it.


Entrant File
This file simply holds a list of all valid Entrant names. Names can be added manually or automatically from the entries to a competition. The system will maintain it in alphabetical order. At any time it can be deleted and rebuilt from subsequent entries.

The entrant file typically contains Photographer's Names (for intra-Club Competitions) and Club Names (for inter-Club Competitions).

The ability to rank entrants may be considered for a future release. However, the entry class facility can usually be used to address this issue.


Screen List
CCComp consists of around two to three dozen screens ranging from the Main Panel (which controls the processes from CCComp Setup to Entrant Results Summary Reports) to more detailed screens such as the Entry Certificate Print Image Screen. Around twenty of the screens are used to control those processes. They are listed in the help index under the "Main Screens" Section.


Main Panel
This screen lists the tasks required through the competition build and show processes. It is the Screen that appears each time you start CCComp.

Change Control Folder
This button opens the " Welcome to CCComp Screen " which allows you to select a new (or existing folder) for the control, standing and competition files. Normally, only one control folder is needed. However, a club may wish to use one control folder for internal competition and another one for external competitions. This would allow the use of, for example, different logo or test file screens.

Edit Standing Files
This button opens the " Editing Standing Files " which allows you to create, select or de-select Club, Entrant, Award and Class files.

Create New Competition
This displays the " Create New Competition Screen ". From this screen you can enter the name of the competition and then go to the Competition Edit Screen where details of the competition such as Competition Type, date, Judge etc can be entered.

Import Competition
The main purpose of the export/import facility is to allow administrators to collect entries and prepare a competition and then transfer that competition via removable storage such as a pen drive.
When you press this button CCComp will allow you to import a competition from a different folder. This folder can be either one created using the "Export" function of CCComp (see Competition Details Screen) or from a different (or old) Control Folder. Files created by the Export function may have been created on a pen drive or other form of removable storage. The Import will prompt you to select the folder to import from and then allow you to select the competition. It then simply copies the competition file and competition image folder into your current Control Folder. If the competition already exists, CCComp will prompt you to confirm whether or not the existing competition should be overwritten by the import.
Note that, when you import a competition, CCComp will prompt you if the Competition Type of the Imported Competition does not exist in the Class File. If it does not, you will need to add it. Until you add it, the entry totals will be zero. Also, when you import, CCComp will prompt you to add any new Entrants. You will not need to type in the names - simply say yes to adding each one.

Manage Club Library
If you have already set up a Library (by "Adding" the image from a competition to the club library - see Competition Details Screen) then pressing this button will put you into the Library Management Screen from which you can classify library images, select images for a competition and copy the selected images to a folder for packaging up for other competitions. After you close the Library Management screen you can use some of the standard competition facilities - in particular "Add Image" and "Edit/Delete Images". Note that you can also delete images in the Library Management screen.

Edit Selected Images File
Whenever you copy selected image to a folder from the Library Management Screen to your own folder for an external competition, records of the selection are added to the "Used For" file. This file can be manually edited, mainly to correct errors such as copying selected records twice in error. This function can also be used to add scores to the records. The main objective of this file is so that, when you put the cursor over the bottom right hand corner of the thumbnails in the Library Management screen, all the competitions for which that particular image has been selected, will be displayed.

Select Existing Competition
Pressing this button will cause a list of all existing competitions to be displayed. Just click on the competition you want to open and the " Competition Details Screen " will appear.

Add Entries
Press this button to add one or more images to the selected competition directory. it will cause a file selection screen to appear. You can only select one image at a time. As entries are added, CCComp checks their filenames to verify Entrant and Entry Classes. If they are not valid, the Correction form is displayed for that entry. If they are valid but you wish to change them, you must click "Show" on the setup screen after the entries are added from which you can edit or delete entries (see below). If you wish to add images from an e-mail, it can be done manually using standard Windows drag and drop from your e-mail client into the Competition directory. Once they are in the directory, hit Show and then Preview (or Judge) to identify any file name errors. For CD and memory card entries, the standard use of the Add Entry button is recommended as the images can easily be accessed.
At any time, you can hit the Edit/Delete Entries button on the Main Panel to delete entries and change entry names.

Check Entries
This process checks all the file names against the valid format and the Entrant and Entry Class names. It also counts the number of entries by Entry Class by each Entrant and displays any discrepancies. note that this processs is run automatically before any Preview or Judging session or when you hit the Edit/Delete Entries button.

Edit/Delete Entries
This button runs the Check Entries Process and then displays a list of all the entries in the " Manage Entries Screen ". Clicking one of the entries in the Manage Entries Screen takes you to the " Correction Screen " and allows you to change the Entrant, Entry Class, Author and Title - or to delete the entry to remove it from the competition.

Set Show Order
This button allows you to select the show order algorithm, Sort the Show and Preview thumbnails of the Show Order.

Lock Competition
This button is used to lock (and release) competitions. A competition should be locked when all the entries have been entered and you are ready to print score sheets or start the Review and Judging. It has two main functions:-
1. to prevent the entry order from being changed from printing score sheets right through to the end of the competition, and
2. to preserve scores between runs of CCComp in the event of a competition being paused.
Note, in particular, that, if a competition is not locked, all scores and awards will be lost if another competition is selected or CCComp is exited for any other reason.

Print Score Sheets
This button allows you to print score sheets to be used during the judging by either the administrator and/or visiting clubs or even other entrants. The Score Sheets include the entrant's names so should not be seen by the judge prior to the judging. If the competition has not been "locked" when Score Sheets are printed a warning message will appear, but the printing will be allowed to continue. To actually send the score sheet to the printer you can either
1. hit the Print Screen button on the top left of the screen, then hit Next Page and print Screen again and so on. This will only print a page per screen, so a large entry list will take several sheets and the sheets are not numbered. Alternatively, you can
2. hit "Export Report" and open the exported file in EXCEL to format version suitable to print.

The former is quicker but the latter gives better results (and requires some knowledge of EXCEL print formatting. (Not that you can export to the Competition directory - or Control Folder - in order to keep all of them in one place).

Setup Show
This button displays the "Set-up Show" Set Up Show Screen form which enables you to select dual/single screen, screen size, image reduction/enlargement and show sequence (randomization) rules.

Display Test Image
The Club File can contain the name of your "Test File" which can be used to test and set up (calibrate) the projector. Hitting this button will display this image.

Show
This button displays the "Show Control Screen" Show Control Screen " which enables you to Preview or Judge (or Resume Judging of) images by Entry class, Entrant Class etc, The show can also be restricted to unscored (to complete scoring), held over (to complete scoring) or maximum scored images (to select for awards).

Review
This displays the " Review Screen " button enables you
a) to display all images that have awards, the maximum score or are unscored. The review can be by class or "All". They are NOT sorted into any particular order. And,
b) display the score sheet (Image scores and awards) and results sheets (Entrants summaries).

Print Certificates
This button enters displays the " Print Menu Screen " that allows various certificates to be displayed and selectively printed.

Complete Competition
When all the allocation of scores and awards is complete, you can "Complete" the competition. This will still allow reporting, but you will then be unable to change any scores and awards from within CCComp. The files can be modified via notepad or a similar editor, but this is not recommended as it can cause CCComp to fail. However, changing the status back from "Complete" to "Locked" is safe but remember NEVER to save the file in EXCEL - ALWAYS use NotePad.
When you complete a competition, CCComp also creates the two Results and Scores reports in the archive for you so you can access them from "View Old Saved Reports" (see below).

View Old Saved Reports
When reports are displayed they are often built using the standard reporting modules written into CCComp. At the time the report is first generated, it can be saved. This button accesses a list of saved reports which can be viewed again or deleted. reports that can be saved include Competition type Summaries, Scores, Results and Winners reports.

Summary Reports
This button takes you to the "Competition Type Summary Screen" Competition Type Summary Screen " from which you can select a competition Type and Year and build a summary scores report.
Build/Re-build HTML Files
When you click on this button, CCComp will generate a folder called HTMLFiles in the Control Folder. If HTMLFiles already exists CCComp then delete all files in that folder (excluding jpgs). CCComp then generates an HTML file for each completed competition and an Index html. CCComp also allows you to copy the actual competition images into the same folder (HTMLFiles) at a resolution of 400x400 (or less) and at "Low" quality (approximately equivalent to Photoshop 1 or 2). Each image file will be 20- 30k. On a modern PC CCComp can copy about 150 images per minute. If most of the images have already been copied in a previous run, CCComp will re-use the existing copy and, therefore can process many more images per minute. You should check copyright issues, however, given the low resolution and quality of the images created this is rarely a problem.

The files in the folder can then be copied to your own website. Note that you may have to rename the Index.jpg to for your websites design. See XRR Competition results on the www.cccomp.org.uk home page to see an example.


Welcome to CCComp Screen

This screen will appear if
1. it is the first time you have used CCComp, or
2. the folder registered as the Master Control Folder on this PC does not already hold a valid Master Control File, or
3. you have hit "Change Control Folder" button in the CCComp Main screen.

The Master Control folder can be set up as a sub-folder in "My Documents" or a separate folder on the hard disk, the attached Network or even a pen drive.

Hitting the Exit to Main Screen button will returrn you to the Main Screen, but, as you will not have set up a Master Control Folder pointer, you will not be able to do much in CCComp!

Note that the main disadvantage of using My Documents is that, on a multi-user system, other users may not be able to access it (and all it's associated competition).


Edit Standing Files Screen
This screen enables the administrator to edit standing fields. Currently these files consist of a "Club File", a "Class File", an "Entrant File" and an "Award File". (Since v1.4 of CCComp, you cannot change the standing files - only edit them).

The Club File is to store information about the club/organisation for whom the competition show is being run. This is will contain data including
1. the Club name,
2. a pointer to a Club Logo File (image format),
3. the name of the Club Official to appear on any certificates printed, and
4. a pointer to a test display file image (used to calibrate the image projector).

The Class File allows the administrator to define Competition Types and Entry Classes valid for that Competition Type. The definitions include Minimum, Maximum and Scoring data for the entries. The file is initially set up by CCComp to include a number of Competition Types and Classes that would seem appropriate for most clubs. Please let me know if there is a type/Class combination that I have missed out. See Glossary for an explanation of the Scoring field.

The Entrant File is simply a list of entrants (i.e. identifies the person or organization submitting the images). They may be added to by using the Entrant File Update screen, direct editing with Notepad or automatically by CCComp when a new Entrant submits an entry. To this end, the names of the standard image files submitted have a fixed format including the author's name so that the administrators do not have the laborious task of adding Entrant's names to the Entrant File. Note that direct editing with Notepad or other text editor should only be used sparingly. For example, it may be suitable if you already have a list of club members on your PC and want to import them to CCComp via copy and paste from the other system. Note that each entrant has an associated Entrant Class (not to be confised with Entry Class) that has a default of "Standard".

The Set Colour Theme button enables you that change the colours CCComp uses for it's control screened. There are three pairs of colours. Firstly the base background and text colours, then ThemeA Background and text and finally ThemeB Background and text. TWhen you set each of the background colour, CCComp automatically sets the corresponding Text colour sympathetically, but greyer so it can be read. After setting the background colour you can manually set the text colour to your own choice. However, if you set the background colour again, the text setting will automatically be changed.


Create New Competition Screen

This screen allows you to set up a new Competition in your CCComp Master Control Folder.

The Competition Title is used to build a competition file and a Competition Folder inside the Master Control Folder.


Competition Details Screen

This screen comprises three logical frames.

Competition Details.
This frame displays the Date, Competition Number, Judge's Name Competition Type and Maximum Allowed Scores. The fields cannot be changed on this screen, but if you click on any of them, the " Add/Edit Competition Screen " will be displayed from which some of the fields can be changed.

Competition Actions.
The buttons shown on this screen depend on the status of the competition. For example, the Edit button is not displayed if the competition is Locked or Complete.
From this frame, you can Edit, Delete or Lock/Release the competition. The delete button allows you to delete the competition from your view. However, it does NOT delete the image folder and contained images. If you attempt to delete the Club Library, it will not allow you to. However, it will allow you to delete all the images. Delete will not work on a "Locked" or "Completed" competition or library. If there is a red "Complete" button, the competition has already been "Completed". You cannot Complete the competition from this frame. To Complete it, use the button on the " Main Panel ". The Actions screen also allows you to Export the competition into another folder (existing or new). The receiving folder can be a folder on your hard drive or a removable device such as a pen drive.
The exported competition can then be used to transfer the competition to another PC or as a backup that can be restored at any time. The most common uses of the export are as backup or to allow an administrator to collect entries and prepare a competition on their own PC and the Export/Import it to their club's PC for the competition. An additional use of Export is to transfer images selected from the Club Library into a transfer folder.
Note that Competitions can be exported at any time.
The Competition Actions panel also has a button labeled "Add to Club Image Library. If you click on this it will check if a library already exists and, if not, will set one up. It then asks what the qualification score is. When you have specified the qualification score, CCComp will transfer all images at or above that score into the Club Library.

Valid Classes.
This frame displays the Minimum and Maximum numbers of entries per Entrant in each Entry Class. It also displays the number of Scoring Entries per Entrant by Class and the total number of Entries so far by Class. The Minimum, Maximum and Scoring numbers may be changed here. However, this data comes from the Class file which can only be changed from the " Edit Standing Files Screen ". Hence, if you want to use values different from the standard for that Competition Type, they will need to be changed every time the competition is selected.
From v3.2.1, the Scoring field was removed and all scores included. However, since v3.4.2, by clicking on the word Scoring, you can disable or enable the Scoring field - See Glossary or Competition Details Screen for an explanation of the Scoring field.


Set ShowOrder Screen

This screen allows you to do three things.
1. Change the Show Order Algorithm
2. Sort the Show
3. Preview the order with thumbnail images.
4. Add Sequence number to allow control of the order.

There are three show orders you can use:-
Cyclic
With this selection, the classes are separated, then the entrants are randomly sorted and then the images for each entrant sorted into title order. This way, the entrant can control the order of his own images by use of the Title. However, he has no control over the entrant order. The show will cycle through the entrants showing one of their images in each cycle.
CycRev
CycRev stands for Cyclic Reversing. A number of External competitions between clubs How the first set of images in order and the second set in reverse order and the third set in the original order etc., etc. Choosing CycRev generates that sequence. The initial sequence is set randomly.
Random
With this selection, the order is completely random. It is possible for all of one entrant's images to be shown in a contiguous block. However, this is unlikely. This sequence has the benefit that the judge cannot recognize the cycle of entrants. This sequence also removes the ability of the entrant to exercise control over which order his own images appear.
Entrant
With this selection all the Entries from each Entrant will be shown together. The order of the Entrants will, however, be randomized. This is useful for competitions where the entrants are required to submit a number of related images in a set. Within each entrant the images will be shown in alphabetic order. If the competition requires the images in a set to be shown in a specific order either ask the Entrant to name the images appropriately, or use "Title" order after "Adding Sequence Numbers to Titles" - see below.
Title
With this selection, CCComp simply sorts in Title sequence. By adding a sequence number to the beginning of each image, the administrator can control the sequence of the whole of the show. The "Add Sequence Numbers to Titles" function makes adding the numbers to the titles easy.
Manual
This order allows you to sort by moving lines or images on a screen. I will only work once the competition has been locked. The competition needs to be locked so the manually selected sequence is not lost when you exit the competition. To automatically sort and then make adjustments manually do the following.
1) Ensure competition is unlocked.
2) Set Show Order to your chosen setting - e.g. Cyclic, Title etc.
3) Sort Show (and Check Show Order).
4) Change Show Order to Manual.
5) Lock Competition.
CCComp will preserve the show order, but allow you now to manually re-arrange it.

"Add Sequence Numbers to Titles"
does what is says. By pressing this button, it displays all the entries. By then clicking on a particular image, you can add a two digit number to the beginning of the title. The numbers must be numbers(!) and be between 00 and 99 so this is limited to shows of under 100 images.. As you add a number, the sequence of the list changes to stay in line. Combining this technique with sort order of "Title" enables you to directly control the show order.

Normally "Cyclic" is the best choice.


Manual Show Sort Screen
If you set the sort order to Manual, you can sort the show into your chosen order. If you want to do this, you must lock the competition just after you select Manual order. The Manual Show Sort Screen will not allow you to re-arrange the show unless the competition is locked. The restriction is to ensure that any changes you make are saved by CCComp. (Sequencing is not saved for competitions that have not been locked).

There are two Manual Sort Screens.

By clicking on the View button at the top of the screen you can toggle between the two views. (Note that using the Thumbs View is slow because the thumbnails are only generated as they are require).

To move images you can either drag and drop or right click and enter a sequence number. If you drag up the sequence, the image is placed BEFORE the image you drop it on to. If dragging down, it's placed after. This allows you to move an image to the beginning or end of the screen. If you want to move an image beyond the screen you are viewing, you must right click and enter a sequence number.

Next and Previous buttons go forward and backwards around the images. Close saves the changes you've made and closes the screen.

The number of images on the screen cannot be changed.

Please note that the test data used for the above example had duplicate images in it!


Generic Display Screen
For many of the list reports in CCComp a Generic Display form is used. The display facilities for all these screens are all common.You will soon get to recognize them. They look like this:-
1. You can resize the text size (larger or smaller).
2. You can page forward and backwards.
3. You can sort the list order by clicking on the yellow italic column heading. Clicking again and again on the same heading toggles between ascending and descending. Note also that earlier sorts are preserved. E.g. if you sort by Title in descending sequence and then Entrant in ascending sequence, the titles will remain in descending sequence within each entrants images. These orders do NOT affect the show display order. By default, numeric columns are sorted descending and text ones ascending.
4. There are 4 ways of saving/exporting the report:-
1. "Save" which saves the report with a standard name in the CCComp Master Control Directory. It will then be available to view (and print) from the "View Old Saved Reports" button in the Main CCComp Panel. The saved file includes various fields required to control the way the report is displayed. It also adds the report to the saved reports list allowing it to be incorporated in the publication of all saved reports in HTML for your web site.
2. Export to csv will write out a comma separated values file that can be read by any spreadsheet package (including EXCEL).It is saved to the competition directory by default, but you can change that.
3. Export to HTML will write out an HTML file that can be e-mailed or loaded up to your own web site. It is saved to the competition directory by default, but you can change that.
4. Open in Excel will cause your system to start EXCEL and open a spreadsheet containing all the data. Some formatting is already done for you. Clearly, this facility only works if you already have Excel installed on your system.
5. You can Print the Report Direct - this is quick but only does basic formatting of the output.
6. You can Save the report. It will be saved with a standard name in the CCComp Master Control Directory. It will then be available to view (and print) from the "View Old Saved Reports" button in the Main CCComp Panel. The saved file includes various fields required to control the way the report is displayed.
7. You can Export the report which gives you the power to select the target directory and change the file name from the default. It will export as a csv file which can be processed and analyzed in Excel or most other Spreadsheet software.
8. Both Saving and Exporting use the csv (comma separated file) format which makes it easy to manipulate and format in Excel or similar spreadsheet packages.
9. And, of course, you can just Exit!

The generic reports include:-

Edit/Manage Entries
Scores
Results
Score Sheet
Summary/Saved Reports


Print Score Sheet Screen
If you have EXCEL installed on your PC, then hitting "Print Score Sheet" button on the Main CCComp Panel will result in a score sheet being printed. (CCComp uses EXCEL to format the sheet for printing). After queuing the score sheet to print, CCComp leaves this screen in case you want to save, export or reprint the score sheet.

If you do not have EXCEL installed on your PC, then hitting the Print Score Sheet button will display the following screen. By hitting Print Screen, you can print the screen as displayed. if the competition is spread over more than one screen, each screen must be printed individually. Note that you can use the "Smaller" button on this screen to fit more entries on each page - up to 53 entries per page.

Clicking an individual item will not transfer you to the Correction screen (as it does in "Manage Entries").

As with most of the edit and display (list) screens in CCComp, they can easily be re-sized without losing visibility of the data.


Set Up Show Screen

This screen is used to set up the parameters used for the show itself. There are two frames - one for show parameters (e.g. show order) and one the screen parameters (e.g. projection size).

Show Parameters
Show Order
This field allows the user to control the order in which images are displayed.
Cyclic means that the first entry of each entrant will be displayed followed by the second of each entrant – in the same entrant order. I.e. CCComp cycles through the entrants for the first entry and then cycles through them (in the same order) for the second entry etc. Each entrants images are displayed in alphabetic order. Entrants can therefore ensure that their own images are shown in the order they want.
Random is similar, but through each entry cycle, the order of the entrants is also randomized so the judge cannot predict which images are from the same entrant by order alone. As with Cyclic, each entrants images are displayed in alphabetic order.
Title sorts the images into Title order regardless of Entrant. By prefixing all titles with a number or letter the sequence of images can be forced.
Entrant, each entrants' images are shown together as a group. The order within each entrant is, as usual, alphabetic on Title. The order of the Entrants is randomized.
Resize Option
There are three options (since version 1.3.1)
Reduce only where each image is reduced, if necessary, to fit in the specified display size. Images that are smaller than the display size are not enlarged to fill the screen, but are displayed at their native size. This is the most common (and default) option.
Reduce and Enlarge where the image is reduced or enlarged as necessary to best fit the display area.
No Resize where the image is displayed at it's native size REGARDLESS of the display resolution settings. Large images will be cropped and small ones appear small.

Preview Interval

This box allows you to set the interval between displaying images for Previews (not Judging).

Title Interval

This box allows you to set the interval during which Titles, Scores and Awards for am image for Judging sessions will be displayed. Titles are NOT displayed during Previews - only Judging.

Screen Parameters
Screen(s)
CCComp may be run on a Single screen (where the Escape key allows navigation from the Main Screen to the Set-up Screen) or Dual screen where the setup screen is shown on, for example, the Administrator's laptop (screen 1) whilst the display screen (2) can be piped through to a projector for viewing by all the audience. If using Dual screen and Automatic Display Resolution, please see Warning below.

Display Resolution
These fields give the administrator the option to select automatic image display size (to maximize the use of the screen size available) or to set the screen size manually. The manual option is particularly useful if the size of the image display screen does not match the values available from Control Panel/Display/Settings options.
These values set the "maximum display size" for all images. Within this, the system can be set to maximize or standardize the display size (see above in Resize Option).

Warning: Note that, when using Dual Screen and automatic Display Resolution together, the projected image will be sized to the screen 1 size - NOT screen 2's size. This is a technical programming issue. It is therefore advisable to avoid this combination (e.g. use Manual Display Resolution) or ensure screen 2 is the same size as (or bigger than) screen 1.


Show Control Screen

This screen consists of two frames. The first (Image Selection) allows you to select some of the images for preview and show. This is essential where the competition consists of more than one class and those classes are judged independently. In XRR, for example, our competitions are mostly a mixture of Open and Set images. We Preview and Judge the Set images and then Preview and Judge the Open images. The second frame is Show actions which actually initiates the Preview and Judging sessions. This frame also allows selection based on the scoring so far by allowing Judge Unscored (all entries not yet scored), Judge Held Over( entries the Judge wants to see again - usually the higher scorers) and Judge Max Scores (so that the judge can add Awards to selected maximum score images).

Image Selection

Select Entry Class to Show

This box allows the Administrator to select any one of the valid Entry Classes or "All". If "All" is selected then all the entries will be displayed during the preview or judging session. If a class is selected, only those entries for the selected class will be displayed during the preview or judging.

Select Entrant Class to Show

This box is the same as the Select Entry Class to Show, but bases the selection on the Entrant Class stored in the current Entrant Standing File.
Show Actions

Note that, before Previewing and Judging, CCComp runs the Check Entries Process to ensure all file names are in the correct format with valid Entrant Names and Entry Classes. Errors in the file names will cause problems during a preview or show, so if there any such errors, CCComp will not allow Previewing or Judging. The Check Entry Process also checks the number of entries by Entrant Name and Entry Class. However, any errors (such as excessive entries in a class by one Entrant) will not prevent Previewing and Judging.

Preview Button
Pressing this button will cause the system to display all entries in the selected Class in a "Slide Show" using the parameters set in the Screen/Show Details panel. titles are not displayed in this phase.

Judge Button
This button will start a judging session. The difference between judging and previewing is that the transition from one image to the next is manually controlled by the Administrator and both scores and awards can be allocated to each image. Again, the Title (and score and awards) are displayed for the selected time.

Judge Unscored
This is very similar to the Judge button, but the images displayed are restricted for those with a no score (i.e. a score of zero).

Judge Held over
This is similar to the Judge button, but the images displayed are restricted for those which have been "Held Over" by the judge. It is normally used for deferring the best images to allocate Awards.

Judge Max Scores
This allows all images that have been given the maximum score - normally to enable the judge to select the best in class/show image.

Note:
The three numeric boxes to the right of these three judging buttons indicate (at all times) the number of images falling in to those display categories so that the judge can be advised from how many images he.she must select the winner.
Note also that each of these judging options can be selected with class set to "All" or any individual class.

Resume Preview/Judging
These two buttons are provided so that, when a preview or judging session is paused by hitting escape in the Main screen, it can be resumed from where it left off. These buttons will only appear when Escape has been hit during a preview or judging session. Even if they are visible, you can still press the Judge or preview button to restart from the beginning.


Review Screen

The Review Screen allows you to
1. Review images by Entry Class and Entrant Class that match specific criteria (Award Winners, Maximum Scoring and Unscored),
2. Review Winning Entrants (i.e. those having an Award) and
View Scores (by Image) and Results (by Entrant). Note that if a competition is "Complete", the Results button no longer recalculates the result each time, but instead uses the results saved when the competition was completed.
Only the first of these displays images, the other two display entrants names, image titles and scores/results/awards.
From v 3.5, CCComp has a Tabular button which enables you to create a tabular report of the results. This format approximates well to the format used by many external competitions - including CACC Rosebowl. You can also use it to create score sheets for visiting clubs by running it before the competition and printing it out. Note that it requires EXCEL to be installed on your PC as it uses EXCEL's formatting facilities to grey out cells etc.


Main Display Screen
This screen is the one that actually controls the display of the images.
This screen is not visible if you have selected Single Screen.

If you have selected Dual screen in the Show options, it is visible on the left hand display whilst the actual show will appear on the right.


File Edit Screen

When you select the option to edit one of the standing files from the Configuration Screen, the File Edit Screen is displayed. From this screen, you can change any field, delete records (by hitting the "Delete" button for that record), or add new records by simply entering data in a field in the green New Record rows.

The same generic edit coding is used for all the standards file (except the Club file). The changes made on the screen do not affect the file itself until you hit the "Save Changes" button. "Cancel Changes" will delete all the changes you have made on the screen WITHOUT applying them to the file itself.


Edit Competition Screen
This screen appears if the Add New or Edit Selected Competition button is pressed in the Set up screen (Select Competition). it allows you to edit an existing competition, that you have already selected, or add a new one.

Please note that this window is the only one in CCComp that will not close if you hit the X in the top right hand corner of the window. This is disabled to ensure that all the necessary system tidy up can be done. If you try to close with the X button, CCComp will ask you to hit the Cancel button instead.

Note that the maximum score can be any whole number up to 99. Scoring can be whole numbers or halves e.g. 6, 6.5 etc.

Note also that you can use a Competition Type of "Library". However, apart from the Club Library, any competition set up with this type will be treated like a competition and not a Library. It can be used to store old images or images that do not qualify as library images as it has the same class structure as the Club Library.


Manage Entries Screen
This screen allows you to vie the list of file names for a competition. Clicking on one entries in the left hand column will take you to the Correction Screen which will allow you to change the name and, in particular, select a different Entrant, Class and/or Author. You can also Delete a file from the competition from the Correction Screen.

As with most CCComp display screens, you can display larger or smaller print and, but clicking on the yellow italic column headings, you can sort the list order toggling between ascending and descending.


File Check Screen
The initial stages of the Print Scoresheets, Preview and Judging Processes is a check that all the file names in the Competition are valid and the Entrant Names and Entry Classes are OK. This generates the File Check Screen which is not displayed if all entries are valid, but does show if there are any File Name errors. The content of the screen includes a list of file names that appear to be in error together with a list of all Entrants and the number of Set and Open entries. The numbers of entries is compared with those set by the selected Class. Any errors are highlighted in red. File names can be corrected from this screen by simply clicking on them. Note that, although the number of entries by Entry Class and Entrant is checked it it not highlighted if all the File Names are correct.


Results Screen
If the results Button on the Main Display Screen (or Set Up screen) is clicked the Results screen appears. It calculates the total score for each Author (based on the Class definitions) and displays them in score descending order.

(This screen can be printed by hitting the "Print Screen" button)!

The "Larger" and "Smaller" buttons enable you to increase or reduce the character size displayed. Clearly, smaller character sizes give more entrants displayed per screen.
Also, By clicking on the column headings, CCComp will toggle the list between ascending and descending order by that column.

By hitting the save button, the report will be saved in the master control directory for later review.
Finally, by hitting the Export button, you can choose the name and location for the file to be saved.


Print Certificates

Individual entry certificates can be printed from the Show Scores screen. the print Certificates not only provides an alternative way to print entry certificates, but also a way of printing Entrant (Results) certificates and Award Certificates.
The print certificate process displays each potential certificate and gives you the option of printing, skipping or ending the process.

The individual entry certificates includes a thumbnail of the entry itself.


Competition Type Summary Screen

This screen enables the administrator to select a competition type and year and display totals (by class) for all entrants.

The process looks through all the competition files in the Master Control Directory and list s all files (even non-competition files) in th "Full File List". If the administrator just hits "GO", the summary displayed is for ALL competitions.

The selection drop down boxes are used to select competition type and competition year. (Year is included so that competitions do not need to be deleted at the start of the next year). As the drop downs are selected, CCComp will change the displayed Selected Competitions list on the right to enable you to ensure that the competitions being summarized are correct.

Hitting GO will display the totals which, in common with the Results displays, can be aorted by column - and, indeed, printed.

A further Save button is there to enable you to save the Summarization file for further manipulation, presentation formatting and e-mailing to members. The file is saved as a .csv that can be edited with EXCEL. (It is never read by CCComp so it can be edited with impunity.


Saved Reports Selection

This screen lists all the valid reports stored in the Master Control Directory. by Double clicking on a report it will be displayed. By single clicking, you are given the option of viewing or deleting that report.

Additionally, you can generate an HTML based index table and a full set of HTML based reports by simply clicking on the button labeled "Copy All Reports to HTML". You can then copy all these HTML files onto your own website. Provided that you copy all the files into the same folder on your website, you can click on the index page to access any of the reports. You will of course need to link from your existing site into the CCComp HTML Index file. Note that you can change the name of index.html to fit your site, but not the names of the other files. To see the effect, go to www.cccomp.org.uk and click the button on the bottom left that says "Competition Results 2007/8" over the XRR logo. Note that the HTML files each have a Java Script file (sorttable.js) embedded to facilitate client side column sorting. Some browsers may block this script from running but the unsorted reporting will still work OK.


Correction Screen

This screen allows the administrator to change the names of the entries (including entrant and Entry Class) or to delete the entry from the competition (and the competition folder). Entrant selection is based on the Entrant File, but can be overridden by entering a new Entrant name. Class has to be selected from the Class File drop-Down.
The Title can also be changed at this point.
This form is particularly useful if the entrants are not using the standard CCComp file name format or the Title includes " - " which conflicts with the CCComp naming convention.
Finally, an image can be deleted from this screen. Note that the image file is actually deleted from the Competition Directory and removed from the Scores file.


Club Library Management Screen

This screen is used to Classify library images and select images for competitions.

Images Per Row/Column
The box in the top left hand corner indicates the number of images per row and columne. E.g. 3 indicates a total of 9 images per screen. This number is increased and decreased by clicking on the appropriate arrow either side of the number. It must be between 1 and 5 - equivalent to 1 and 25 images per screen.

Selecting and Re-classifying
To Select/De-Select an image simply left click the image. To reclassify it, right click the image and then select the new classification.

Refresh
Click on this button to refresh the screen. This will resequence the images based on the changes you have made but the position in the files will not change. I.e. if the first image on the screen is the 76th image in the sequence, the first image will still be the 76th image after re-sequencing. It may, of course be a different image if, for example, you have simply moved an image forward by Selecting it.

Selection/Sequencing Control
At the top of the screen towards the left is a box that initially shows "Starred". By hitting the drop down arrow of this box, all the different sequencing and selection options will appear. (The Library Managment Screen always oopens as "Starred").
Starred is used for selecting images for a competition. The starred order is Selected images followed by Not Selected images. Within those groups, they are displayed from the highest rated (starred) images to the lowest.

Unclassified is used to review new images and star rate them ready for later possible selection. When you click on this (even if you select the same option as before, the screen start to display from the beginning of the image sequence. The unclassified order simply shows all unclassified in no particular order followed by the rest in "Starred" order.

Title and Author display the images in Title and Author sequence respectively.

Search is used to select all images containing a character string in the Title, Author or Classification. E.g. entering "john" will select all images with "john" in the author - e.g. John Smith but not Jonathon Ross - or in the title - e.g. Big John. This process is NOT case sensitive - John, JOHN and john will all give the same results. As CCComp compares with the classification field, it can also be used to select, for example, "3 star".

Competition is used to display all images that have been entered into a particular competition.

When using search and competition, images that do not qualify are still shown and can be selected and classified. However, their filename is grayed out and the images have no border.

Browsing Through Images
Simply hit the Next or Previous button. When you hit Next after the last image, CCComp simply displays blank images. Similarly if you hit Previous on the first image. There are also First and Last buttons to go staraight to the beginning or end of the images.

Note that the colour of the filename gives a guide to the images status. Green for Selected, Red for No Star and Orange for Unclassified - and White for Starred but Not Selected.

Statistics
Hit the STATS button to see a screen with image counts by Classification etc.

Close
This button closes the window. At this point CCComp gives you the opportunity to export all Selected images to another folder - See Library Export Screen.

After closing, you can also select "Add Entries" to add images from outside the CCComp environment or "Edit/delete Entries" in order to delete images from the library. When images are added, they are set as Unclassified and Not Selected by default.


Library Export Screen
If you reply "Yes" to exporting the selected images after Closing the Library Management Screen, you see the following screen:-

You can then either select one of the predefined formats or change the field 1 through 4 selections and the delimiter to your own settings and click on Custom. CCComp will then ask you to select (or create) a folder for the selected images. Note that the Delimiter must include any required spaces. The images may be exported to a folder inside your selected folder from which they can be moved.
If you want a file name format added as a standard to CCComp, please e-mail me with the details (ian@cccomp.org.uk)


HTML Screens
Below are two HTML screens that can be generated from Saved Reports and any generic display reports.

The first is the Index page.

The second is Summary Results by Year and Competition Type.

The third is the Summary scores which consists of all recorded scores.

Finally, is the individual Competition screen including Results and individual image score. (Note that the Library can also be displayed as a "Competition".


Keys
F1 - Help when in Setup Screen

Escape - Switch to Set Up Screen (for single screen use)

Return - View Next Image
Backspace - View previous Image
N - View Next Image
P - View previous Image
A - Allocate an 'Award'
X - Exit

F - View First Image
L - View Last Image
Space - View Next Image
S - Switch to Set Up Form
T - Display or Hide Title

R - View Results
F1 - View Key Help
Numbers 0-9 - Scoring
. - to add .5 to a score
Delete - Reset score


Glossary
 Previous Top
Author
The Author is the person who created the image. For many competition, the Author is the same as the Entrant (see below). Hence, the inclusion of the Author in an images name is optional and normally only used when a club is the entrant and is using an image created by the Author.

Competition Type
Each competition Type has a series of Entry Classes (such as Set and Open, or Beginner and Senior). Each of these classes within the Competition Type have a maximum numbers of entries per Entrant and a "Number of Scoring Entries". Additionally, the Summary Scores process allows you to add together all the scores for a selected competition type. (Note that a Competition Type can have just one Competition Class ("All").

When setting the Competition Types and Classes, the above points should be considered. Typically, if your club has a series of competitions that have the same entry classes and are combined throughout the competition year to identify an overall series winner, they should all be in the same Competition Type. If there is a further competition with the same class rules, it is advisable to set up a separate Competition Type so the summary scores can be separated.

In my club, for example, (XRR), we have a monthly print competition and a monthly slide competition and a few other miscellaneous competitions like the De Havilland Cup and our RoseBowl. The monthly print and slide competitions are separately accumulated to identify a member with the highest total print scores through the year - and one with the highest total slide score through the year. Clearly, prints and slides cannot be directly included in CCComp(!), but if they could we would set up the following Competition types:-

Monthly Slide
Monthly Print
De Havilland Cup
Rosebowl.

CCComp would then be able to identify our highest scoring print and slide members.

Given these considerations, the CCComp administrators first task should be to identify the Competition Types and associated Entry Classes.

Note that the Maximum score is set for each Competition when it is set up - rather than each Competition type.

Entrant
An entrant is the person or club that enters an image into the competition. Each image has an entrant. If the Entrant is a club, each image may have an Author (see above). That Author will normally be a member of the club.

Entrant Class
This field is used to identify the "class" of the entrants. the data is held in the entrant file so each entrant has one and only one Entrant Class.

Typically this would be used to separate Novice, Intermediate and Expert photographers. It could also be used to differentiate on other factors relevant to the Entrants - e.g. age, sex, height(!). As with entry class, the administrator can add any Entrant Classes that they want to.

Beware that entrant Class is NOT held in the scores and results files.So, if an entrant class changes after a competition, subsequent reports will use the new Entrant Class rather than the one held by the entrant at the time of the competition. This provides consistency for annual accumulation of scores, but does impose the constraint that Entrants should move between classes only at "year end". Where such moves need to be done mid year, it is worth considering using the entry Class field for Entrant Class information.

Entry
An entry is the alternative name for an image that has been entered into the competition.

Entry Class
The Entry Class identifies the class within the competition that the entry falls. It is not related directly to the Entrant. The most common use would be to separate Open and Set Subject entries where a competition allows both classes of entry. It could also be used to separate Compact and SLR entries - or Digitally Manipulated and Original.

Separating between Novices and Experts (for example) should be done using the Entrant Class.

Held over
The facility to mark and entry to be held over to the end to be judged later. This is usually used for the best entries where the judge wants to ensure the best entries get the best scores and awards.

Results
The accumulated scores form the entries (images) that make up an entrants totals (by Entry Class).

Score
The marks allocated to the entries (images) by the judge.
Scoring Field
If the scoring field (Selected Competition Screen), is disabled, ALL scores are included in the results calculations. If it is enabled, then only the higher scores are included. For example, if the scoring field is set to 2 for a class, then regardless of the number of entries in that class by an entrant, only 2 of them will be included in the results. This enables the club to allow a number of entries in a class for an entrant but exclude the lowest scoring one. The main benefit of this approach is that it encourages a "risky" or "avant garde" entry, because the entrant knows that, if it is unsuccessful, it will not, directly, pull down their total score. this can make competitions more interesting!?!
Standing Files
The standing files are files that are maintained in CCComp to control the whole process from adding a competition to summarizing a year's competitions.
These files include the Entrant file (a directory of valid entrant names with the entrants class), a Club File (holding data pertaining to a club such a club name, chairman's name, logo file and test image location for projector calibration), Class file (holding data on competition types and entry classes).


Author
The Author is the person who created the image. For many competition, the Author is the same as the Entrant (see below). Hence, the inclusion of the Author in an images name is optional and normally only used when a club is the entrant and is using an image created by the Author.

Competition Type
Each competition Type has a series of Entry Classes (such as Set and Open, or Beginner and Senior). Each of these classes within the Competition Type have a maximum numbers of entries per Entrant and a "Number of Scoring Entries". Additionally, the Summary Scores process allows you to add together all the scores for a selected competition type. (Note that a Competition Type can have just one Competition Class ("All").

When setting the Competition Types and Classes, the above points should be considered. Typically, if your club has a series of competitions that have the same entry classes and are combined throughout the competition year to identify an overall series winner, they should all be in the same Competition Type. If there is a further competition with the same class rules, it is advisable to set up a separate Competition Type so the summary scores can be separated.

In my club, for example, (XRR), we have a monthly print competition and a monthly slide competition and a few other miscellaneous competitions like the De Havilland Cup and our RoseBowl. The monthly print and slide competitions are separately accumulated to identify a member with the highest total print scores through the year - and one with the highest total slide score through the year. Clearly, prints and slides cannot be directly included in CCComp(!), but if they could we would set up the following Competition types:-

Monthly Slide
Monthly Print
De Havilland Cup
Rosebowl.

CCComp would then be able to identify our highest scoring print and slide members.

Given these considerations, the CCComp administrators first task should be to identify the Competition Types and associated Entry Classes.

Note that the Maximum score is set for each Competition when it is set up - rather than each Competition type.

Entrant
An entrant is the person or club that enters an image into the competition. Each image has an entrant. If the Entrant is a club, each image may have an Author (see above). That Author will normally be a member of the club.

Entrant Class
This field is used to identify the "class" of the entrants. the data is held in the entrant file so each entrant has one and only one Entrant Class.

Typically this would be used to separate Novice, Intermediate and Expert photographers. It could also be used to differentiate on other factors relevant to the Entrants - e.g. age, sex, height(!). As with entry class, the administrator can add any Entrant Classes that they want to.

Beware that entrant Class is NOT held in the scores and results files.So, if an entrant class changes after a competition, subsequent reports will use the new Entrant Class rather than the one held by the entrant at the time of the competition. This provides consistency for annual accumulation of scores, but does impose the constraint that Entrants should move between classes only at "year end". Where such moves need to be done mid year, it is worth considering using the entry Class field for Entrant Class information.

Entry
An entry is the alternative name for an image that has been entered into the competition.

Entry Class
The Entry Class identifies the class within the competition that the entry falls. It is not related directly to the Entrant. The most common use would be to separate Open and Set Subject entries where a competition allows both classes of entry. It could also be used to separate Compact and SLR entries - or Digitally Manipulated and Original.

Separating between Novices and Experts (for example) should be done using the Entrant Class.

Held over
The facility to mark and entry to be held over to the end to be judged later. This is usually used for the best entries where the judge wants to ensure the best entries get the best scores and awards.

Results
The accumulated scores form the entries (images) that make up an entrants totals (by Entry Class).

Score
The marks allocated to the entries (images) by the judge.

Scoring Field
If the scoring field (Selected Competition Screen), is disabled, ALL scores are included in the results calculations. If it is enabled, then only the higher scores are included. For example, if the scoring field is set to 2 for a class, then regardless of the number of entries in that class by an entrant, only 2 of them will be included in the results. This enables the club to allow a number of entries in a class for an entrant but exclude the lowest scoring one. The main benefit of this approach is that it encourages a "risky" or "avant garde" entry, because the entrant knows that, if it is unsuccessful, it will not, directly, pull down their total score. this can make competitions more interesting!?!

Standing Files
The standing files are files that are maintained in CCComp to control the whole process from adding a competition to summarizing a year's competitions.
These files include the Entrant file (a directory of valid entrant names with the entrants class), a Club File (holding data pertaining to a club such a club name, chairman's name, logo file and test image location for projector calibration), Class file (holding data on competition types and entry classes).